Page MenuHomePhabricator

Have an architecture guidelines & roadmap session at the Lyon hackathon
Closed, ResolvedPublic

Description

Summary of draft priorities and discussion, led by @GWicke and @daniel.

Event Timeline

daniel created this task.Mar 6 2015, 10:59 AM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to Needs Triage.
daniel added a project: TechCom.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 10:59 AM
Spage added a subscriber: Spage.

T96903: Identify and prioritize architectural challenges is a monster priority list. What concrete stuff from that list can be usefully discussed and hacked on at the hackathon?

GWicke added a subscriber: GWicke.EditedMay 14 2015, 12:25 AM

@Spage, we are preparing a discussion about the first bullet point: The future of structured data, article content and storage.

The entire priority list is indeed large. I'm sceptical that it would be fruitful to discuss that in too much detail. I could see a short discussion of the clusters work well as an introduction to the governance session, to get a rough agreement on what kind of issues an architecture group or committee should tackle. The solution should reflect what we are trying to achieve.

Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Proposed format from ArchCom meeting today: have ArchCom members talk through the clusters in T96903: Identify and prioritize architectural challenges.

Qgil added a comment.May 21 2015, 11:02 AM

So who is the owner of this session? If it is going to happen, it needs to be scheduled. See my post above.

Scheduled for Sunday, 15-16:00.

GWicke updated the task description. (Show Details)May 21 2015, 3:09 PM
GWicke claimed this task.
GWicke set Security to None.
GWicke updated the task description. (Show Details)May 21 2015, 5:51 PM
GWicke updated the task description. (Show Details)
Qgil added a comment.May 27 2015, 10:23 PM

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

daniel closed this task as Resolved.May 28 2015, 9:59 AM